gtkmm 2.4: Gtk::CellRendererText Class Reference

Main Page Widgets Namespaces Book

# Gtk::CellRendererText Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::CellRendererText:

[legend]
List of all members.

## Detailed Description

Renders text in a cell.

## Public Member Functions
virtual Glib::PropertyProxy_Base | _property_renderable ()
| Returns the property that this CellRenderer renders.
| CellRendererText ()
const GtkCellRendererText* | gobj () const
| Provides access to the underlying C GtkObject.
GtkCellRendererText* | gobj ()
| Provides access to the underlying C GtkObject.
Glib::PropertyProxy_ReadOnly< Pango::AttrList > | property_attributes () const
| A list of style attributes to apply to the text of the renderer.
Glib::PropertyProxy<Pango::AttrList> | property_attributes ()
| A list of style attributes to apply to the text of the renderer.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_background ()
| Background color as a string.
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_background_gdk () const
| Background color as a GdkColor.
Glib::PropertyProxy<Gdk::Color> | property_background_gdk ()
| Background color as a GdkColor.
Glib::PropertyProxy_ReadOnly< bool > | property_background_set () const
| Whether this tag affects the background color.
Glib::PropertyProxy<bool> | property_background_set ()
| Whether this tag affects the background color.
Glib::PropertyProxy_ReadOnly< bool > | property_editable () const
| Whether the text can be modified by the user.
Glib::PropertyProxy<bool> | property_editable ()
| Whether the text can be modified by the user.
Glib::PropertyProxy_ReadOnly< bool > | property_editable_set () const
| Whether this tag affects text editability.
Glib::PropertyProxy<bool> | property_editable_set ()
| Whether this tag affects text editability.
Glib::PropertyProxy_ReadOnly< bool > | property_ellipsize () const
| The preferred place to ellipsize the string.
Glib::PropertyProxy<bool> | property_ellipsize ()
| The preferred place to ellipsize the string.
Glib::PropertyProxy_ReadOnly< bool > | property_ellipsize_set () const
| Whether this tag affects the ellipsize mode.
Glib::PropertyProxy<bool> | property_ellipsize_set ()
| Whether this tag affects the ellipsize mode.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_family () const
| Name of the font family.
Glib::PropertyProxy<Glib::ustring> | property_family ()
| Name of the font family.
Glib::PropertyProxy_ReadOnly< bool > | property_family_set () const
| Whether this tag affects the font family.
Glib::PropertyProxy<bool> | property_family_set ()
| Whether this tag affects the font family.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_font () const
| Font description as a string.
Glib::PropertyProxy<Glib::ustring> | property_font ()
| Font description as a string.
Glib::PropertyProxy_ReadOnly< Pango::FontDescription > | property_font_desc () const
| Font description as a PangoFontDescription struct.
Glib::PropertyProxy<Pango::FontDescription> | property_font_desc ()
| Font description as a PangoFontDescription struct.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_foreground ()
| Foreground color as a string.
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_foreground_gdk () const
| Foreground color as a GdkColor.
Glib::PropertyProxy<Gdk::Color> | property_foreground_gdk ()
| Foreground color as a GdkColor.
Glib::PropertyProxy_ReadOnly< bool > | property_foreground_set () const
| Whether this tag affects the foreground color.
Glib::PropertyProxy<bool> | property_foreground_set ()
| Whether this tag affects the foreground color.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_language () const
| The language this text is in.
Glib::PropertyProxy<Glib::ustring> | property_language ()
| The language this text is in.
Glib::PropertyProxy_ReadOnly< bool > | property_language_set () const
| Whether this tag affects the language the text is rendered as.
Glib::PropertyProxy<bool> | property_language_set ()
| Whether this tag affects the language the text is rendered as.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_markup ()
| Marked up text to render.
Glib::PropertyProxy_ReadOnly< int > | property_rise () const
| Offset of text above the baseline (below the baseline if rise is negative).
Glib::PropertyProxy<int> | property_rise ()
| Offset of text above the baseline (below the baseline if rise is negative).
Glib::PropertyProxy_ReadOnly< bool > | property_rise_set () const
| Whether this tag affects the rise.
Glib::PropertyProxy<bool> | property_rise_set ()
| Whether this tag affects the rise.
Glib::PropertyProxy_ReadOnly< double > | property_scale () const
| Font scaling factor.
Glib::PropertyProxy<double> | property_scale ()
| Font scaling factor.
Glib::PropertyProxy_ReadOnly< bool > | property_scale_set () const
| Whether this tag scales the font size by a factor.
Glib::PropertyProxy<bool> | property_scale_set ()
| Whether this tag scales the font size by a factor.
Glib::PropertyProxy_ReadOnly< bool > | property_single_paragraph_mode () const
| Whether or not to keep all text in a single paragraph.
Glib::PropertyProxy<bool> | property_single_paragraph_mode ()
| Whether or not to keep all text in a single paragraph.
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| Font size.
Glib::PropertyProxy<int> | property_size ()
| Font size.
Glib::PropertyProxy_ReadOnly< double > | property_size_points () const
| Font size in points.
Glib::PropertyProxy<double> | property_size_points ()
| Font size in points.
Glib::PropertyProxy_ReadOnly< bool > | property_size_set () const
| Whether this tag affects the font size.
Glib::PropertyProxy<bool> | property_size_set ()
| Whether this tag affects the font size.
Glib::PropertyProxy_ReadOnly< Pango::Stretch > | property_stretch () const
| Font stretch.
Glib::PropertyProxy<Pango::Stretch> | property_stretch ()
| Font stretch.
Glib::PropertyProxy_ReadOnly< bool > | property_stretch_set () const
| Whether this tag affects the font stretch.
Glib::PropertyProxy<bool> | property_stretch_set ()
| Whether this tag affects the font stretch.
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough () const
| Whether to strike through the text.
Glib::PropertyProxy<bool> | property_strikethrough ()
| Whether to strike through the text.
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough_set () const
| Whether this tag affects strikethrough.
Glib::PropertyProxy<bool> | property_strikethrough_set ()
| Whether this tag affects strikethrough.
Glib::PropertyProxy_ReadOnly< Pango::Style > | property_style () const
| Font style.
Glib::PropertyProxy<Pango::Style> | property_style ()
| Font style.
Glib::PropertyProxy_ReadOnly< bool > | property_style_set () const
| Whether this tag affects the font style.
Glib::PropertyProxy<bool> | property_style_set ()
| Whether this tag affects the font style.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_text () const
| Text to render.
Glib::PropertyProxy<Glib::ustring> | property_text ()
| Text to render.
Glib::PropertyProxy_ReadOnly< Pango::Underline > | property_underline () const
| Style of underline for this text.
Glib::PropertyProxy<Pango::Underline> | property_underline ()
| Style of underline for this text.
Glib::PropertyProxy_ReadOnly< bool > | property_underline_set () const
| Whether this tag affects underlining.
Glib::PropertyProxy<bool> | property_underline_set ()
| Whether this tag affects underlining.
Glib::PropertyProxy_ReadOnly< Pango::Variant > | property_variant () const
| Font variant.
Glib::PropertyProxy<Pango::Variant> | property_variant ()
| Font variant.
Glib::PropertyProxy_ReadOnly< bool > | property_variant_set () const
| Whether this tag affects the font variant.
Glib::PropertyProxy<bool> | property_variant_set ()
| Whether this tag affects the font variant.
Glib::PropertyProxy_ReadOnly< int > | property_weight () const
| Font weight.
Glib::PropertyProxy<int> | property_weight ()
| Font weight.
Glib::PropertyProxy_ReadOnly< bool > | property_weight_set () const
| Whether this tag affects the font weight.
Glib::PropertyProxy<bool> | property_weight_set ()
| Whether this tag affects the font weight.
void | set_fixed_height_from_font (int number_of_rows)
| Sets the height of a renderer to explicitly be determined by the "font" and "y_pad" property set on it.
Glib::SignalProxy2< void, const Glib::ustring &, const Glib::ustring& > | signal_edited ()
virtual | ~CellRendererText ()
## Protected Member Functions
void | edited (const Glib::ustring& path, const Glib::ustring& new_text)
| Emits the "edited" signal.
virtual void | on_edited (const Glib::ustring& path, const Glib::ustring& new_text)
## Related Functions
(Note that these are not member functions.)
Gtk::CellRendererText* | wrap (GtkCellRendererText* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::CellRendererText::~CellRendererText | ( |  | ) | `[virtual]`

Gtk::CellRendererText::CellRendererText | ( |  | ) |

## Member Function Documentation

virtual Glib::PropertyProxy_Base Gtk::CellRendererText::_property_renderable | ( |  | ) | `[virtual]`

| Returns the property that this CellRenderer renders. For instance, property_text for CellRendererText, and property_active for CellRendererToggle Needs to be overridden in derived classes. Reimplemented from Gtk::CellRenderer. Reimplemented in Gtk::CellRendererCombo.

void Gtk::CellRendererText::edited | ( | const Glib::ustring& | path,
|  | const Glib::ustring& | new_text
| ) | `[protected]`

| Emits the "edited" signal. This is useful when implementing custom CellRenderers.

const GtkCellRendererText* Gtk::CellRendererText::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRenderer. Reimplemented in Gtk::CellRendererCombo.

GtkCellRendererText* Gtk::CellRendererText::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRenderer. Reimplemented in Gtk::CellRendererCombo.

virtual void Gtk::CellRendererText::on_edited | ( | const Glib::ustring& | path,
|  | const Glib::ustring& | new_text
| ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Pango::AttrList> Gtk::CellRendererText::property_attributes | ( |  | ) | const

| A list of style attributes to apply to the text of the renderer. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::AttrList> Gtk::CellRendererText::property_attributes | ( |  | ) |

| A list of style attributes to apply to the text of the renderer. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gtk::CellRendererText::property_background | ( |  | ) |

| Background color as a string. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gdk::Color> Gtk::CellRendererText::property_background_gdk | ( |  | ) | const

| Background color as a GdkColor. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gdk::Color> Gtk::CellRendererText::property_background_gdk | ( |  | ) |

| Background color as a GdkColor. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_background_set | ( |  | ) | const

| Whether this tag affects the background color. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_background_set | ( |  | ) |

| Whether this tag affects the background color. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_editable | ( |  | ) | const

| Whether the text can be modified by the user. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_editable | ( |  | ) |

| Whether the text can be modified by the user. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_editable_set | ( |  | ) | const

| Whether this tag affects text editability. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_editable_set | ( |  | ) |

| Whether this tag affects text editability. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_ellipsize | ( |  | ) | const

| The preferred place to ellipsize the string. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_ellipsize | ( |  | ) |

| The preferred place to ellipsize the string. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_ellipsize_set | ( |  | ) | const

| Whether this tag affects the ellipsize mode. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_ellipsize_set | ( |  | ) |

| Whether this tag affects the ellipsize mode. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererText::property_family | ( |  | ) | const

| Name of the font family. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererText::property_family | ( |  | ) |

| Name of the font family. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_family_set | ( |  | ) | const

| Whether this tag affects the font family. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_family_set | ( |  | ) |

| Whether this tag affects the font family. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererText::property_font | ( |  | ) | const

| Font description as a string. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererText::property_font | ( |  | ) |

| Font description as a string. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::FontDescription> Gtk::CellRendererText::property_font_desc | ( |  | ) | const

| Font description as a PangoFontDescription struct. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::FontDescription> Gtk::CellRendererText::property_font_desc | ( |  | ) |

| Font description as a PangoFontDescription struct. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gtk::CellRendererText::property_foreground | ( |  | ) |

| Foreground color as a string. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gdk::Color> Gtk::CellRendererText::property_foreground_gdk | ( |  | ) | const

| Foreground color as a GdkColor. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gdk::Color> Gtk::CellRendererText::property_foreground_gdk | ( |  | ) |

| Foreground color as a GdkColor. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_foreground_set | ( |  | ) | const

| Whether this tag affects the foreground color. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_foreground_set | ( |  | ) |

| Whether this tag affects the foreground color. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererText::property_language | ( |  | ) | const

| The language this text is in. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererText::property_language | ( |  | ) |

| The language this text is in. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_language_set | ( |  | ) | const

| Whether this tag affects the language the text is rendered as. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_language_set | ( |  | ) |

| Whether this tag affects the language the text is rendered as. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gtk::CellRendererText::property_markup | ( |  | ) |

| Marked up text to render. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellRendererText::property_rise | ( |  | ) | const

| Offset of text above the baseline (below the baseline if rise is negative). You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellRendererText::property_rise | ( |  | ) |

| Offset of text above the baseline (below the baseline if rise is negative). You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_rise_set | ( |  | ) | const

| Whether this tag affects the rise. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_rise_set | ( |  | ) |

| Whether this tag affects the rise. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Gtk::CellRendererText::property_scale | ( |  | ) | const

| Font scaling factor. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Gtk::CellRendererText::property_scale | ( |  | ) |

| Font scaling factor. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_scale_set | ( |  | ) | const

| Whether this tag scales the font size by a factor. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_scale_set | ( |  | ) |

| Whether this tag scales the font size by a factor. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_single_paragraph_mode | ( |  | ) | const

| Whether or not to keep all text in a single paragraph. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_single_paragraph_mode | ( |  | ) |

| Whether or not to keep all text in a single paragraph. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellRendererText::property_size | ( |  | ) | const

| Font size. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellRendererText::property_size | ( |  | ) |

| Font size. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Gtk::CellRendererText::property_size_points | ( |  | ) | const

| Font size in points. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Gtk::CellRendererText::property_size_points | ( |  | ) |

| Font size in points. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_size_set | ( |  | ) | const

| Whether this tag affects the font size. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_size_set | ( |  | ) |

| Whether this tag affects the font size. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::Stretch> Gtk::CellRendererText::property_stretch | ( |  | ) | const

| Font stretch. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::Stretch> Gtk::CellRendererText::property_stretch | ( |  | ) |

| Font stretch. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_stretch_set | ( |  | ) | const

| Whether this tag affects the font stretch. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_stretch_set | ( |  | ) |

| Whether this tag affects the font stretch. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_strikethrough | ( |  | ) | const

| Whether to strike through the text. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_strikethrough | ( |  | ) |

| Whether to strike through the text. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_strikethrough_set | ( |  | ) | const

| Whether this tag affects strikethrough. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_strikethrough_set | ( |  | ) |

| Whether this tag affects strikethrough. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::Style> Gtk::CellRendererText::property_style | ( |  | ) | const

| Font style. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::Style> Gtk::CellRendererText::property_style | ( |  | ) |

| Font style. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_style_set | ( |  | ) | const

| Whether this tag affects the font style. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_style_set | ( |  | ) |

| Whether this tag affects the font style. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererText::property_text | ( |  | ) | const

| Text to render. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererText::property_text | ( |  | ) |

| Text to render. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::Underline> Gtk::CellRendererText::property_underline | ( |  | ) | const

| Style of underline for this text. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::Underline> Gtk::CellRendererText::property_underline | ( |  | ) |

| Style of underline for this text. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_underline_set | ( |  | ) | const

| Whether this tag affects underlining. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_underline_set | ( |  | ) |

| Whether this tag affects underlining. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::Variant> Gtk::CellRendererText::property_variant | ( |  | ) | const

| Font variant. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::Variant> Gtk::CellRendererText::property_variant | ( |  | ) |

| Font variant. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_variant_set | ( |  | ) | const

| Whether this tag affects the font variant. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_variant_set | ( |  | ) |

| Whether this tag affects the font variant. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellRendererText::property_weight | ( |  | ) | const

| Font weight. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellRendererText::property_weight | ( |  | ) |

| Font weight. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererText::property_weight_set | ( |  | ) | const

| Whether this tag affects the font weight. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererText::property_weight_set | ( |  | ) |

| Whether this tag affects the font weight. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::CellRendererText::set_fixed_height_from_font | ( | int | number_of_rows | ) |

  | Sets the height of a renderer to explicitly be determined by the "font" and "y_pad" property set on it. Further changes in these properties do not affect the height, so they must be accompanied by a subsequent call to this function. Using this function is unflexible, and should really only be used if calculating the size of a cell is too slow (ie, a massive number of cells displayed). If number_of_rows is -1, then the fixed height is unset, and the height is determined by the properties again. Parameters:
  | number_of_rows | Number of rows of text each cell renderer is allocated, or -1.

Glib::SignalProxy2<void,const Glib::ustring&,const Glib::ustring&> Gtk::CellRendererText::signal_edited | ( |  | ) |

## Friends And Related Function Documentation

Gtk::CellRendererText* wrap | ( | GtkCellRendererText* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cellrenderertext.h